<?php

/**
 * @copyright	Copyright (C) 2005 - 2012 Michael Richey. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
// No direct access.
defined('_JEXEC') or die;

function modChrome_NicePanel($module, $params, $attribs) {
    static $modulecount;
    static $modules;
    
    if ($modulecount < 1) {
        $modulecount = count(JModuleHelper::getModules($attribs['name']));
        $modules = array();
    }

    if ($modulecount == 1) {
        $temp = new stdClass();
        $temp->content = $module->content;
        $temp->title = $module->title;
        $temp->params = $module->params;
        $temp->id = $module->id;
        $modules[] = $temp;

        $tabs = array('<ul class="plg_system_nicepanel_tabs plg_system_nicepanel_'.$attribs['align'].'"><li class="plg_system_nicepanel_pretab plg_system_nicepanel_'.$attribs['align'].'"><a class="pretab" name="pretab">&#160;</a></li>');
        foreach ($modules as $key=>$rendermodule) {
            $class=($key==0)?' class="first"':(($key == (count($modules)-1))?' class="last"':'');
            $tabs[] = '<li class="plg_system_nicepanel_tab plg_system_nicepanel_'.$attribs['align'].'"><a href="#" id="link_' . $rendermodule->id.'"'.$class.' onclick="return false">' . $rendermodule->title . '</a></li>';
        }
        $tabs[] = '<li class="plg_system_nicepanel_posttab plg_system_nicepanel_'.$attribs['align'].'"><a class="posttab" name="posttab">&#160;</a></li></ul>';

        echo '<div id="plg_system_nicepanel_' . $attribs['location'] . '" class="plg_system_nicepanel_tabouter plg_system_nicepanel_'.$attribs['position'].'">';
        if (in_array($attribs['location'],array('bottom','right'))) echo implode("\n", $tabs);
        $counter = 0;
        // modulecontent
        foreach ($modules as $rendermodule) {
            $counter++;

            echo '<div tabindex="-1" class="plg_system_nicepanel_tabcontent" id="module_' . $rendermodule->id . '">';
            echo $rendermodule->content;
            echo '</div>';
        }
        $modulecount--;
        if (in_array($attribs['location'],array('top','left'))) echo implode("\n", $tabs);
        echo '</div>';
    } else {
        $temp = new stdClass();
        $temp->content = $module->content;
        $temp->params = $module->params;
        $temp->title = $module->title;
        $temp->id = $module->id;
        $modules[] = $temp;
        $modulecount--;
    }
}
